Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdEJournal.EJ_Document

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdEJournal.EJ_Document

Enclosing class:
  cmdEJournal

    public static class cmdEJournal.EJ_Document
    extends java.lang.Object

Class to hold results of Search documents in EJ by date

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EJ_Document​(java.lang.String startDate, java.lang.String endDate, java.lang.String firstDoc, java.lang.String lastDoc)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getEndDate()` |
  `java.lang.Integer` | `getFirstDoc()` |
  `java.lang.Integer` | `getLastDoc()` |
  `java.lang.String` | `getStartDate()` |
  `void` | `setEndDate​(java.lang.String endDate)` |
  `void` | `setStartDate​(java.lang.String startDate)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EJ_Document

    public EJ_Document​(java.lang.String startDate, java.lang.String endDate, java.lang.String firstDoc, java.lang.String lastDoc)
    Parameters:
      `startDate` - - Start date for searching, see DateTime format described at the beginning of the document;
      `endDate` - - End date for searching, see DateTime format described at the beginning of the document;
      `firstDoc` - - First document in the period, depending "Type" (1...99999999);
      `lastDoc` - - Last document in the period, depending "Type" (1...99999999);
      `lastDoc` -

- ## Method Details

  - ### getFirstDoc

    public java.lang.Integer getFirstDoc()

  - ### getLastDoc

    public java.lang.Integer getLastDoc()

  - ### getStartDate

    public java.lang.String getStartDate()

  - ### setStartDate

    public void setStartDate​(java.lang.String startDate)

  - ### getEndDate

    public java.lang.String getEndDate()

  - ### setEndDate

    public void setEndDate​(java.lang.String endDate)